dispatch_after(3)

NAME
dispatch_after - schedule blocks for deferred execution

SYNOPSIS
#include <dispatch/dispatch.h>
void
dispatch_after(dispatch_time_t when, dispatch_queue_t queue, void (^block)(void));
void
dispatch_after_f(dispatch_time_t when, dispatch_queue_t queue, void *context, void (*function)(void *));

DESCRIPTION
The dispatch_after() function submits the block to the given queue at the time specified by the when parameter. The when parameter is a value created by dispatch_time() or dispatch_walltime().

For a more detailed description about submitting blocks to queues, see dispatch_async(3).

CAVEATS
Specifying DISPATCH_TIME_NOW as the when parameter is supported, but is not as efficient as calling dispatch_async(). The result of passing DISPATCH_TIME_FOREVER as the when parameter is undefined.

FUNDAMENTALS
The dispatch_after() function is a wrapper around dispatch_after_f().

SEE ALSO
dispatch(3), dispatch_async(3), dispatch_time(3)